FROM python:3.11-slim

WORKDIR /app

COPY requirements.txt .
RUN pip install -r requirements.txt
RUN playwright install

RUN apt-get update && apt-get install -y \
    ffmpeg \
    libsm6 \
    libxext6 \
    libxcomposite1 \
    libxdamage1 \
    libgtk-3-0 \
    libgdk3.0-cil \
    libatk1.0-0 \
 && apt-get clean \
 && rm -rf /var/lib/apt/lists/*

COPY bot.py .
COPY command_router.py .
COPY utils /app/utils
COPY commands /app/commands
COPY memory /app/memory
COPY static /app/static
COPY globals.py .
COPY api.py .
COPY api_main.py .
COPY miku_lore.txt .
COPY miku_prompt.txt .
COPY miku_lyrics.txt .
COPY MikuMikuBeam.mp4 .
COPY moods /app/moods/

CMD ["python", "-u", "bot.py"]
